WPS4TextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WPS4TextInternal::State Struct Reference

Internal: the state of a WPS4Text. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< int, FontName > | m_fontNames
| the list of fonts names
std::vector< Font > | m_fontList
| the list of all font properties
std::vector< WPSParagraph > | m_paragraphList
| the list of all paragraph properties
std::vector< WPSEntry > | m_FDPCs
| the list of FDPC entries (ie list to find the font properties lists )
std::vector< WPSEntry > | m_FDPPs
| the list of FDPP entries (ie list to find the paragraph properties lists )
std::vector< Note > | m_footnoteList
| the footnote entries
std::map< long, Note const * > | m_footnoteMap
| map: footnote in text -> footnote entry
std::map< long, WPSEntry > | m_bookmarkMap
| map: bookmark in text -> bookmark
std::vector< DosLink > | m_dosLinkList
| the dos file links
WPSEntry | m_main
| the main text zone entry
WPSEntry | m_header
| the header text entry
WPSEntry | m_footer
| the footer text entry
std::vector< WPSEntry > | m_otherZones
| the entries which are not in main/header/footer text and in the footnotes
std::map< long, Object > | m_objectMap
| map: object in text -> object
std::map< long, DateTime > | m_dateTimeMap
| map: date field in text -> date time format
std::vector< DataPLC > | m_plcList
| a list of all PLCs
WPS4PLCInternal::KnownPLC | m_knownPLC
| the known plc

## Detailed Description

Internal: the state of a WPS4Text.

## Constructor & Destructor Documentation

## ◆ State()

WPS4TextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_bookmarkMap

std::map<long, WPSEntry> WPS4TextInternal::State::m_bookmarkMap

map: bookmark in text -> bookmark

## ◆ m_dateTimeMap

std::map<long, DateTime> WPS4TextInternal::State::m_dateTimeMap

map: date field in text -> date time format

## ◆ m_dosLinkList

std::vector<DosLink> WPS4TextInternal::State::m_dosLinkList

the dos file links

## ◆ m_FDPCs

std::vector<WPSEntry> WPS4TextInternal::State::m_FDPCs

the list of FDPC entries (ie list to find the font properties lists )

## ◆ m_FDPPs

std::vector<WPSEntry> WPS4TextInternal::State::m_FDPPs

the list of FDPP entries (ie list to find the paragraph properties lists )

## ◆ m_fontList

std::vector<Font> WPS4TextInternal::State::m_fontList

the list of all font properties

## ◆ m_fontNames

std::map<int,FontName> WPS4TextInternal::State::m_fontNames

the list of fonts names

## ◆ m_footer

WPSEntry WPS4TextInternal::State::m_footer

the footer text entry

## ◆ m_footnoteList

std::vector<Note> WPS4TextInternal::State::m_footnoteList

the footnote entries

## ◆ m_footnoteMap

std::map<long,Note const *> WPS4TextInternal::State::m_footnoteMap

map: footnote in text -> footnote entry

## ◆ m_header

WPSEntry WPS4TextInternal::State::m_header

the header text entry

## ◆ m_knownPLC

WPS4PLCInternal::KnownPLC WPS4TextInternal::State::m_knownPLC

the known plc

## ◆ m_main

WPSEntry WPS4TextInternal::State::m_main

the main text zone entry

## ◆ m_objectMap

std::map<long, Object> WPS4TextInternal::State::m_objectMap

map: object in text -> object

## ◆ m_otherZones

std::vector<WPSEntry> WPS4TextInternal::State::m_otherZones

the entries which are not in main/header/footer text and in the footnotes

## ◆ m_paragraphList

std::vector<WPSParagraph> WPS4TextInternal::State::m_paragraphList

the list of all paragraph properties

## ◆ m_plcList

std::vector<DataPLC> WPS4TextInternal::State::m_plcList

a list of all PLCs

The documentation for this struct was generated from the following file:

- WPS4Text.cpp